﻿using System;
using X3g.Plugin;

namespace SamplePlugin
{
    class CustomMessageBox : IMessageBox
    {
        public int Show(
            MessageBox.Icon pIcon,
            string pText,
            string pButton0,
            string pButton1,
            string pButton2,
            int pDefaultButtonIdx,
            int pEscapeButtonIdx)
        {
            return MessageBox.Show(
                pIcon,
                "CustomMessageBox: " + pText,
                pButton0,
                pButton1,
                pButton2,
                pDefaultButtonIdx,
                pEscapeButtonIdx);
        }

        public MessageBox.Button Show(
            MessageBox.Icon pIcon,
            string pText,
            MessageBox.Button pButton0,
            MessageBox.Button pButton1,
            MessageBox.Button pButton2,
            int pDefaultButtonIdx,
            int pEscapeButtonIdx)
        {
            return MessageBox.Show(
                pIcon,
                "CustomMessageBox: " + pText,
                pButton0,
                pButton1,
                pButton2,
                pDefaultButtonIdx,
                pEscapeButtonIdx);
        }
    }
}
